Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleTrackballCamera Class Reference

`#include <vtkInteractorStyleTrackballCamera.h>`

Inheritance diagram for vtkInteractorStyleTrackballCamera:

[legend]
Collaboration diagram for vtkInteractorStyleTrackballCamera:

[legend]
List of all members.

## Detailed Description

interactive manipulation of the camera

Date:
  2003/01/08 17:26:58

Revision:
  1.16

vtkInteractorStyleTrackballCamera allows the user to interactively manipulate (rotate, pan, etc.) the camera, the viewpoint of the scene. In trackball interaction, the magnitude of the mouse motion is proportional to the camera motion associated with a particular mouse binding. For example, small left-button motions cause small changes in the rotation of the camera around its focal point. For a 3-button mouse, the left button is for rotation, the right button for zooming, the middle button for panning, and ctrl + left button for spinning. (With fewer mouse buttons, ctrl + shift + left button is for zooming, and shift + left button is for panning.)

See also:
  vtkInteractorStyleTrackballActor vtkInteractorStyleJoystickCamera vtkInteractorStyleJoystickActor

Events:
  vtkCommand::InteractionEvent

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Barre, Sebastien (48%)
  - Henderson, Amy (38%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkInteractorStyleTrackballCamera.h)`
  - .`cxx` (`/Rendering/vtkInteractorStyleTrackballCamera.cxx)`

Examples:
  vtkInteractorStyleTrackballCamera (Examples)

Definition at line 60 of file vtkInteractorStyleTrackballCamera.h.

## Public Types
typedef vtkInteractorStyle | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Rotate ()
virtual void | Spin ()
virtual void | Pan ()
virtual void | Dolly ()
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnMiddleButtonDown ()
virtual void | OnMiddleButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
## Static Public Methods
vtkInteractorStyleTrackballCamera * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleTrackballCamera * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleTrackballCamera ()
| ~vtkInteractorStyleTrackballCamera ()
## Protected Attributes
float | MotionFactor

## Member Typedef Documentation

typedef vtkInteractorStyle vtkInteractorStyleTrackballCamera::Superclass

| Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage. Definition at line 64 of file vtkInteractorStyleTrackballCamera.h.

## Constructor & Destructor Documentation

vtkInteractorStyleTrackballCamera::vtkInteractorStyleTrackballCamera | ( |  | ) | `[protected]`

vtkInteractorStyleTrackballCamera::~vtkInteractorStyleTrackballCamera | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleTrackballCamera* vtkInteractorStyleTrackballCamera::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual const char* vtkInteractorStyleTrackballCamera::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

int vtkInteractorStyleTrackballCamera::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual int vtkInteractorStyleTrackballCamera::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

vtkInteractorStyleTrackballCamera* vtkInteractorStyleTrackballCamera::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

void vtkInteractorStyleTrackballCamera::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual void vtkInteractorStyleTrackballCamera::OnMouseMove | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual void vtkInteractorStyleTrackballCamera::OnLeftButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual void vtkInteractorStyleTrackballCamera::OnLeftButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual void vtkInteractorStyleTrackballCamera::OnMiddleButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballCamera::OnMiddleButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballCamera::OnRightButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual void vtkInteractorStyleTrackballCamera::OnRightButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleImage.

virtual void vtkInteractorStyleTrackballCamera::Rotate | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballCamera::Spin | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballCamera::Pan | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballCamera::Dolly | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

## Member Data Documentation

float vtkInteractorStyleTrackballCamera::MotionFactor`[protected]`

| Definition at line 92 of file vtkInteractorStyleTrackballCamera.h.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleTrackballCamera.h